MAV_resizeEvent(3)

NAME
MAV_resizeEvent - Window resize events.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  MAV_window *win;
  int width;
  int height;
} MAV_resizeEvent;

DESCRIPTION
The resize event data structure, MAV_resizeEvent, is passesd to the application supplied callback function (set with the @mav_callbackResizeSet function) to provide details of this event.

The fields are as follows: window for which event occured. new size of the window.

A default callback routine is registered for this events which updates the window's state with the new size and alters the perspective parameters to account for the new apsect. This callbacks have a return value of -100 which can be checked for by mav_eventsCheck.